> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Balance

> Show customer Balance



## OpenAPI

````yaml openapi/credits.yaml get /public/{user_id}/balances
openapi: 3.0.1
info:
  title: Credits API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/credits
security:
  - bearerAuth: []
tags:
  - name: Balance
    description: ''
paths:
  /public/{user_id}/balances:
    get:
      tags:
        - Balance
      summary: Show Balance
      description: Show customer Balance
      operationId: showBalance
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: exercitationem
        - name: filter[currency]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: EUR
          example: EUR
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      available_balance:
                        type: number
                        example: 156.84
                      total_balance:
                        type: number
                        example: 109.07
                      currency:
                        type: string
                        example: USD
                      updated_at:
                        type: string
                        example: '2025-10-28T09:20:18+00:00'
                example:
                  data:
                    available_balance: 156.84
                    total_balance: 109.07
                    currency: USD
                    updated_at: '2025-10-28T09:20:18+00:00'
              example:
                data:
                  available_balance: 156.84
                  total_balance: 109.07
                  currency: USD
                  updated_at: '2025-10-28T09:20:18.0000000+00:00'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````